Package org.springframework.test.web.reactive.server

# Class EntityExchangeResult<T>

java.lang.Object
org.springframework.test.web.reactive.server.ExchangeResult
org.springframework.test.web.reactive.server.EntityExchangeResult<T>

Type Parameters:
  `T` - the response body type

public class EntityExchangeResult<T> extends ExchangeResult
`ExchangeResult` sub-class that exposes the response body fully extracted to a representation of type `<T>`.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  - `FluxExchangeResult`

## Method Summary

Modifier and Type
Method
Description
`T`
`getResponseBody()`
Return the entity extracted from the response body.

### Methods inherited from class org.springframework.test.web.reactive.server.ExchangeResult

`assertWithDiagnostics, getMethod, getMockServerResult, getRawStatusCode, getRequestBodyContent, getRequestHeaders, getResponseBodyContent, getResponseCookies, getResponseHeaders, getStatus, getUriTemplate, getUrl, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getResponseBody

@Nullable public T getResponseBody()
Return the entity extracted from the response body.